2011.02.07 (1.3.9)
  特定の環境下で characters の String 引数版で NullPointerException が発生する問題に対応。 

2009.07.21 (1.3.8)
  jarファイル類の更新。
  ファイルヘッダーの設定。

2008.11.22 (1.3.7)
  jarファイル類の更新。

2008.11.21 (1.3.6)
  ソースファイルの文字エンコーディング指定機能を追加。

2008.11.13 (1.3.5)
  (plugin)Eclipse 3.2で動作しなくなっていた不具合を修正。

2008.11.05 (1.3.4)
  プロパティファイル生成時に、出力先ディレクトリが無い場合には生成するよう変更。

2008.10.24 (1.3.3)
  JDK 1.5 対応。

2008.10.22 (1.3.2)
  (plugin)ディレクトリ付きでプロパティファイルを生成するかどうかを選択するスイッチを追加。
  (plugin)Eclipse 3.2以降を対応プラットフォームに変更しました。
  (plugin)生成するjarファイル名の変更。

2008.10.21 (1.3.1)
  プロパティファイルの出力先をコントロールできるように改善。
  (デフォルト変更)プロパティファイルの出力先が変わります。
  jarファイル類の更新。

2007.12.24 (1.2.1) Eclipse 3.3 対策
  ※今回に限り pluginのみバージョン番号採番のうえリリースします。
  (plugin)バージョン番号を採番更新。
  (plugin) workbenchMonitorを利用するのを停止しました。
    →これは、Eclipse 3.3 で workbenchMonitor を利用すると org.eclipse.swt.SWTException: Invalid thread access が発生してしまうので、これを避けるためです。
  (plugin)about.htmlを更新。
  (plugin)build.xmlを更新。
  (plugin)plugin.xmlの再生成
  (plugin)ウィザードの生成ディレクトリに関する記述を更新 (Blanco*WizardPage4)
  (jar)jarファイル類を更新チェック。

2007.12.07 (1.2.0) 安定版
  安定版と位置づけ。
  blancoフォルダを再生成
  (plugin)about.htmlを追加。

2007.11.27 (1.1.8) 開発版
  メッセージ定義書に対応。

2007.11.22 (1.1.7) 開発版
  フォーマット文字列用メソッドをUtilクラスに分割。
  クラスのアクセスを設定可能なように変更。とりあえず構造体でのみ指定可能。

2007.11.18 (1.1.6) 開発版
  リファクタリングを実施。

2007.11.17 (1.1.5) 開発版
  プロパティファイル生成についてもXmlParser対応。
  サンプルに en ロケールを追加。

2007.11.16 (1.1.4) 開発版
  Javaソースコード自動生成部分について過激に変更。
  標準出力に出していた処理過程を Logger.fine()に出力するように変更。
  →今回のロギング指針をひとつの方針とします。

2007.10.26 (1.1.3) 開発版
  ソースコードを整理。
  Structure系のフィールド名を変更！
  かなり攻撃的なソースコード変更を実施しました。

2007.10.26 (1.1.2) 開発版
  XmlParser: parseFile, parseDocumentは parseにメソッド名を統一。

2007.09.19 (1.1.1) 開発版
  BlancoResourceBundleXmlParser という 中間XMLファイルにアクセスするためのクラスを作成。
  プロパティファイル作成処理について、このParserクラスを利用するように変更。
  バリューオブジェクトのコメントが未記入だったのでこれを改善。
  (削除) BlancoResourceBundleVO.xls
  (削除) BlancoResourceBundleCombineResourceBaseTest.java
  (削除) BlancoResourceBundleCombineResourceItemTest.java
  (削除) BlancoResourceBundleCombineResourceMessageItemTest.java
  (更新) blancoフォルダの再生成。

2007.03.13 (1.1.0)
  内部のリソースバンドルオブジェクトを暴露するためのメソッド(getResourceBundle)を追加。
  KEYが見つからない場合のSystem.out.printlnを抑制するためのスイッチを追加。
  jarファイル類の更新。

2006.10.24 (1.0.0)
  バージョン番号を 1.0.0 へと更新。
  readme.txtファイルを更新しました。
  不要なテキストファイルを削除しました。

2006.10.21 (0.8.5)
  sample関連のプロパティファイルおよびソースコードが blancoResourceBundleの jarファイルに混入していたのを整理しました。
  jarファイル類を更新。

2006.10.19 (0.8.4)
  (plugin)blancoConstantsが依然としてblancoCodeGeneratorへ依存していることが判明。

2006.10.18 (0.8.3)
  blancoCodeGeneratorへの依存を削除。

2006.10.16 (0.8.2)
  (blancoCommons)JExcelApi 2.6が ×をカタカナに読み間違える不具合に対応 (blancoCommons版)。
    (具体的には jxl-2.6blanco.jar + blancoCommons 1.0.1以降を利用。)
  (定義書)readmeシートを削除しました。doc形式の記入要領を正とする運用です。
  定数定義、リソースバンドル定義を blancoMessageを参考に改善。
  jarファイル類の更新。

2006.07.25 (0.8.1)
  (jexcelapi)JExcelApi 2.6が Sun Java2 SE 1.4.2_12 で動作しない不具合に対応。
    (具体的には JExcelApiのjarファイルにパッチを適用した jxl-2.6blanco.jarを利用開始)
  jarファイル類を更新: blancoCg, blancoCommonsなど。
  (plugin)blancoEclipsePluginGenバージョンアップに伴う変更。ウィザード・エディタの内部的構造が変更される。

2006.04.21 (0.8.0)
  blancoCodeGenerator第2世代版に正式対応。
  jarファイル類を更新。

2006.04.15 (0.7.1) 不安定版
  blancoCodeGeneratorを第2世代版へと置き換えました。
  blancoCodeGenerator 0.8.1 → 0.9.6 への置き換えです。
  →blancoCodeGenerator更新により不要なインポートの抑制やJavaDoc部分の見栄えの改善が得られます。
  ※置き換えの結果、動作に影響のある変化は起きないことを確認しました。

2006.04.14 (0.7.0) 不安定版
  blancoValueObjectを toStringを自動生成する版に更新しました。
  プロパティファイルの追加・変更が必要な場合にのみ更新に変更しました。
  jarファイル類の更新。
  blancoCodeGenerator第二世代型で動作することを確認しました。

2006.03.14 (0.6.0) 安定版
  この版をもって最終的な試験を行います。問題なければ、安定版として扱います。
  【変更】(定数クラス)キープレフィックスを値のプレフィックスとして付与していたが、
        これを付与しないように変更しました。

2006.03.10 (0.5.8) 出荷候補版
  この版において、一定の単体試験を実施しました。出荷候補版と位置づけます。
  ロケールが空欄である場合にはエラー判定するように変更しました。

2006.03.10 (0.5.8) 0.4.5から0.5.8までの主な変更点を示します。
  ※2006.01.24 (0.5.0)から2006.03.10 (0.5.8)までの変更点
  ・MessageFormatに適合しない文字列が登場した場合の挙動を選択できるように機能追加しました。
  ・(plugin)右クリックメニューの機能を除去しました。
  ・(plugin)ドキュメント一覧のための中間ファイル作成処理を後続処理に追加。
  ・内部オプション機能
    キー・プレフィックスを付与する内部機能を追加。
    Javaソースコードを生成するかどうかの内部スイッチを追加。
    キーのための定数クラスを生成する内部機能を追加。
    ※これらの機能を有効にするには内部のプロパティファイルを変更する必要があります。

2006.03.09 (0.5.7) 不安定版
  バリデーションとソースコード生成とを処理分離しました。
  ある程度ソースコードに変更が入ってしまいました。

2006.03.08 (0.5.6) 不安定版
  この版が単体試験候補版です。
  【バグ修正途中】リソースバンドル用Javaソースコードの非生成時にもチェック機能が働くように修正中。
  リソースバンドル文字列をMessageFormatでパースした際の例外を どのようにハンドリングするかをスイッチ化。

2006.03.07 (0.5.5) 不安定版
  (plugin)blancoEclipsePluginGenを更新。
  (plugin)jarファイル類を更新
  (plugin)右クリックメニューを除去。
【重要】(plugin)ドキュメント一覧のための中間ファイル作成処理を後続処理に追加。

2006.03.02 (0.5.4) 不安定版
  【削除】blancoResourceBundleCSP.xls
  スイッチにより定数クラス生成ができるような機能を追加。(デフォルトはoff)
  blancoConstantsのjarファイルをlibフォルダに移動。

2006.02.15 (0.5.3) 不安定版
  Javaソースコード非生成モードの際に、blanco/mainフォルダが無くて例外で異常終了してしまう不具合を修正。
  readme.txtを少しだけ改善。

2006.02.13 (0.5.2) 不安定版
  クラス名の変形がおこなわれなくなっていたのでこれを修正。
  # blancoCodeGeneratorの置き換えに起因するものと想像します。

2006.01.26 (0.5.1) 不安定版
  キー・プレフィックス機能に対応。
  Javaソースコードを生成するかどうかのフラグを追加。

2006.01.24 (0.5.0) 不安定版
  MessageFormatに適合しない文字列が登場した場合の挙動を変更。デフォルトではMessageFormat不適合時には処理続行とします。
  blancoCommonsを 0.3.3に更新。このリビジョンでメソッドシグニチャ変更があります。
  【削除】BlancoResourceBundleConstants.java
  【削除】BlancoResourceBundleMeta2Xml.java

2006.01.05 (0.4.5)
  安定版リリース準備作業に着手。

2006.01.04 (0.4.4)
  (plugin)blancoEclipsePluginGenを適用
  (plugin)【削除】BlancoResourceBundlePlugin
  (plugin)【削除】BlancoResourceBundleDocumentProvider
  (plugin)【削除】BlancoResourceBundlePluginUtil

2006.01.04 (0.4.3)
  生成時刻をプロパティファイルに書くかどうかについてはオプション化する。
  XML読み込みをblancoCommonsのものを利用するように変更。

2005.12.09 (0.4.2)
  blancoAntTask対応

2005.12.02 (0.4.1)
  jarファイルについても 1.4.2_10でビルドした物に差し替え

2005.12.01 (0.4.0)
  最終的なビルドを JDK 1.4.2で実施するように変更。
  コメントだけのリソースバンドル定義書の場合に、生成後のソースコードがビルドできないバグを修正。
  JDK 1.4.2でも適切に動作するように修正。(0.3.7でエンバグしていました)

2005.11.16 (0.3.9)
  blancoCommons, blancoCodeGeneratorを更新

2005.11.16 (0.3.8)
  リソースバンドル・インスタンスを非static化
  コマンドライン側を ほぼ完全にリソースバンドル化 (除く ConcreteSAX)

2005.11.15 (0.3.7)
  様式に微妙な調整を加える。0.3.5様式との互換性を確認。
  blancoCodeGeneratorの更新。
  【重要】(plugin)src配下のBlancoResourceBundleWizardResourceBundle.javaを削除 blanco側を正とする。
  【重要】(plugin)src配下のBlancoResourceBundleWizard_ja.propertiesファイルを削除
  【重要】(plugin)src配下のBlancoResourceBundleWizard.propertiesファイルを削除
  【重要】CSP本体側のblancoResourceBundleProgram.xlsを削除
  blancoResourceBundle自身の blancoResourceBundle対応

2005.11.09 (0.3.6)
  新しい様式にプラグインのリソースバンドルを移行。
  移行後のファイルで 全く同じリソースバンドルが生成されることを確認。

2005.11.09 (0.3.5)
  (plugin)Exception, ErrorがEclipseのログに適切に出力されるように改善。
  様式を微調整

2005.11.08 (0.3.4)
  blancoCommons更新

2005.11.07 (0.3.3)
  blancoCommons更新

2005.11.03 (0.3.2)
  アップロードし直し

2005.11.03 (0.3.1)
  【重要】BlancoResourceBundleExpandUtil を削除

2005.10.26 (0.3.0)
  バージョン番号をアップ

2005.10.26 (0.2.10)
  JExcelApi 2.5.8 を取り込み。
  プロパティファイル上にキーが見つからなかった場合に定義書上の値を利用するように修正。
  プロパティファイルがそもそも見つからなかった際の異常系に対応。

2005.10.21 (0.2.9)
  XML中間ファイルの内容を改善。
  jarファイル内のdocフォルダ展開を調整。

2005.10.20 (0.2.8)
  blancoCodeGeneratorに対応

2005.10.18 (0.2.7)
  コメントを書き込む機能について 機能追加

2005.10.18 (0.2.6)
  メソッド名について名前変形がおきるように仕様変更。

2005.10.15 (0.2.5)
  blancoCalcParser対応
  (plugin)metaフォルダをリフレッシュしてから動作するように改善

2005.10.14 (0.2.4)
  パラメータの型が不一致の際のメッセージを改善
  文字列を入力しない場合でも適切に動作するように改善。

2005.10.14 (0.2.3)
  重複したリソースIDを警告する機能を追加。
  パラメータの数や型が不一致である場合に警告する機能を追加。

2005.10.14 (0.2.2)
  重複したロケール定義を警告する機能を追加。

2005.10.14 (0.2.1)
  ロケールの横断チェック機能を追加。存在しない他のロケールがあればJavaDocに報告します。
  JavaDocにMetaが対応するロケール一覧機能を追加。

2005.10.04 (0.2.0)
  ルーチンの一部をblancoCommonsに移動

2005.10.04 (0.1.9)
  BlancoResourceBundlePluginそれ自身をリソースバンドル対応

2005.10.03 (0.1.8)
  crimsonに依存したコードになってしまっていたので これを修正。
  blancoCommonsを更新
  blancoIgを更新
  ソースコードをリリースに含めるように変更。

2005.10.03 (0.1.7)
  複数のロケールを一つにまとめる機能を追加
  JavaDoc上のロケール文字列が画期的に見やすくなります。
  全てのロケールにおいて java.text.MessageFormatによる妥当性検証を実施するよう改善。

2005.09.23
  blancoCommons更新
  blancoIg更新

2005.09.17 (0.1.6)
  複数blancofwファイル対応の対応を完了させること。
  パッケージ名は指定したものがそのまま利用されるように変更。

2005.09.05 (0.1.5)
  進捗バーを改善。

2005.09.05 (0.1.4)
  Creditsを追記

2005.09.04 (0.1.2)
  メタが異常な場合の処理がデグレードしていたので、これを修正。

2005.09.03 (0.1.1)
  blancoCommonsを更新

2005.09.02 (0.1.0)
  正式版リリースとします。

2005.09.02 (0.0.8)
  RC1とします。

2005.09.02 (0.0.7)
  ファイルの拡張子をチェックする機能が抜け落ちていたのでこれを実装。

2005.09.02 (0.0.6)
  サフィックス指定機能を追加
  もっとも最初に登場したロケールを ロケールの指定がない場合のリソースとして利用するように変更。
  生成されるソースコードのコンストラクタを記述。
  (plugin)プロパティファイルは blanco/mainに出力するように変更。

2005.09.01 (0.0.5)
  微調整。

2005.09.01 (0.0.4)
  ファイル保存・読み込みの際のエンコーディングを指定するように改善。

2005.09.01 (0.0.3)
  ウィザードの文言を改善
  Excelブック上の「文字列」に不正な文字が入っていた場合の処理を追記。
  新規メタファイル名に不正な文字が入るのを防ぐ機能を実装。

2005.08.31 (0.0.2)
  Transformerに渡した後のストリームをクローズするようにする。

2005.08.31 (0.0.1.1)
  (plugin)あらたなプラグインとして作成

2005.08.24 (0.0.1)
  新規作成
